diff -U3 -r hsfmodem-old/modules/imported/include/osmemory_ex.h hsfmodem/modules/imported/include/osmemory_ex.h
--- hsfmodem-old/modules/imported/include/osmemory_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/osmemory_ex.h	2006-02-12 08:08:43.000000000 +0000
@@ -85,7 +85,7 @@
 
 #define OS_HEAPSWAP			0x00000200 
 
-#define OS_NON_PAGED		(UINT32)0
+#define OS_NON_PAGED		(CXT_UINT32)0
 #define OS_FIXED			0x00000008
 
 #define OS_ZEROINIT			0x00000001	
@@ -117,13 +117,13 @@
 	Arguments: iPage - the base address of the memory space.
 			   nPages - number of pages to be commited.
 	
-	Return Value: BOOL.
+	Return Value: CXT_BOOL.
 
 	********************************************************************************/
 #if ((OS_TYPE == OS_LINUX) || (OS_TYPE == OS_MACOSX))
 #define OsPageCommit(iPage, nPages, PageData, flags) TRUE
 #else
-	StdCall(BOOL, OsPageCommit(UINT32 iPage, UINT32 nPages, UINT32 PageData, UINT32 flags));
+	StdCall(CXT_BOOL, OsPageCommit(CXT_UINT32 iPage, CXT_UINT32 nPages, CXT_UINT32 PageData, CXT_UINT32 flags));
 #endif
 
 	/********************************************************************************
@@ -135,13 +135,13 @@
 	Arguments: iPage - the base address of the memory space.
 			   nPages - number of pages to be commited.
 	
-	Return Value: BOOL.
+	Return Value: CXT_BOOL.
 
 	********************************************************************************/
 #if ((OS_TYPE == OS_LINUX) || (OS_TYPE == OS_MACOSX))
 #define OsPageDecommit(iPage, nPages) TRUE
 #else
-	StdCall(BOOL,OsPageDecommit(UINT32 iPage, UINT32 nPages)) ;
+	StdCall(CXT_BOOL,OsPageDecommit(CXT_UINT32 iPage, CXT_UINT32 nPages)) ;
 #endif
 
 	/********************************************************************************
@@ -153,11 +153,11 @@
 	Arguments: Size - the size of memory space to br reserved.
 			   Flags - the flags that should be send to the reserve funcyion.
 	
-	Return Value: BOOL.
+	Return Value: CXT_BOOL.
 
 	********************************************************************************/
 __shimcall__
-	StdCall(PVOID, OsPageReserve(UINT32 Size, UINT32 Flags));
+	StdCall(PVOID, OsPageReserve(CXT_UINT32 Size, CXT_UINT32 Flags));
 
 	/********************************************************************************
 	
@@ -169,10 +169,10 @@
 			   nPages - number of pages to free.
 	
 
-	Return Value: BOOL.
+	Return Value: CXT_BOOL.
 	********************************************************************************/
 __shimcall__
-	StdCall(BOOL, OsPageFree(PVOID	pMem, UINT32 nPages));
+	StdCall(CXT_BOOL, OsPageFree(PVOID	pMem, CXT_UINT32 nPages));
 
 	/********************************************************************************
 	
@@ -191,7 +191,7 @@
 #define OsHeapAllocate(size, flags) OsAllocate(size)
 #define OsHeapFree(ptr) OsFree(ptr)
 #else
-	StdCall(PVOID, OsHeapAllocate(UINT32 Size, int flags));
+	StdCall(PVOID, OsHeapAllocate(CXT_UINT32 Size, int flags));
 
 	/********************************************************************************
 	
@@ -219,7 +219,7 @@
 
 	********************************************************************************/
 __shimcall__
-	StdCall(UINT32, OsGetPageSize(void));
+	StdCall(CXT_UINT32, OsGetPageSize(void));
 
 	/********************************************************************************
 	
@@ -237,9 +237,9 @@
 	********************************************************************************/
 __shimcall__
 #if (PROJECT == PRJ_SDSL)
-	StdCall(BOOL, OsMemDMAAllocate(UINT32 nPages,UINT16 **ppPhysAddr, HANDLE *pMemHandle, UINT16 **ppBuffer, PVOID pResources));
+	StdCall(CXT_BOOL, OsMemDMAAllocate(CXT_UINT32 nPages,CXT_UINT16 **ppPhysAddr, HANDLE *pMemHandle, CXT_UINT16 **ppBuffer, PVOID pResources));
 #else	
-	StdCall(BOOL,OsMemDMAAllocate(UINT32 nPages,PUINT16* ppPhysAddr, HANDLE *pMemHandle, PUINT16* ppBuffer));
+	StdCall(CXT_BOOL,OsMemDMAAllocate(CXT_UINT32 nPages,PCXT_UINT16* ppPhysAddr, HANDLE *pMemHandle, PCXT_UINT16* ppBuffer));
 #endif
 
 	/********************************************************************************
@@ -255,7 +255,7 @@
 
 	********************************************************************************/
 __shimcall__
-	StdCall(BOOL, OsMemDMAFree(HANDLE MemHandle, UINT32 nPages));
+	StdCall(CXT_BOOL, OsMemDMAFree(HANDLE MemHandle, CXT_UINT32 nPages));
 	/********************************************************************************
 	
 	Function Name: OsAllignmentAlloc.
diff -U3 -r hsfmodem-old/modules/imported/include/osservices.h hsfmodem/modules/imported/include/osservices.h
--- hsfmodem-old/modules/imported/include/osservices.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/osservices.h	2006-02-12 08:09:23.000000000 +0000
@@ -121,7 +121,7 @@
 ****************************************************************************************/
 #define OsAtomicCompareAndSwap(o, n, ptr) OsAtomicCompareAndSwapEx((PVOID)(o), (PVOID)(n), (PVOID*)(ptr), sizeof(*(ptr)))
 __shimcall__
-BOOL OsAtomicCompareAndSwapEx (PVOID oldValue, PVOID newValue, PVOID* address, INT size);
+CXT_BOOL OsAtomicCompareAndSwapEx (PVOID oldValue, PVOID newValue, PVOID* address, INT size);
 
 
 /****************************************************************************************
@@ -135,7 +135,7 @@
     Result: The result of the addition.
 ****************************************************************************************/
 __shimcall__
-INT32	OsAtomicAdd   (INT32 amount, INT32* address);
+CXT_INT32	OsAtomicAdd   (CXT_INT32 amount, CXT_INT32* address);
 
 
 /****************************************************************************************
@@ -145,7 +145,7 @@
     Result: The result of the increment.
 ****************************************************************************************/
 __shimcall__
-INT32	OsAtomicIncrement (INT32* address);
+CXT_INT32	OsAtomicIncrement (CXT_INT32* address);
 
 
 /****************************************************************************************
@@ -155,7 +155,7 @@
     Result: The result of the increment. 
 ****************************************************************************************/
 __shimcall__
-INT32	OsAtomicDecrement (INT32* address);
+CXT_INT32	OsAtomicDecrement (CXT_INT32* address);
 
 
 /****************************************************************************************
@@ -280,7 +280,7 @@
 Interrupt safe: no
 ****************************************************************************************/
 __shimcall__
-BOOL OsLockTry(HLOCK hLock);
+CXT_BOOL OsLockTry(HLOCK hLock);
 
 
 /****************************************************************************************
@@ -379,13 +379,13 @@
 #define OsStrLen strlen
 #else
 __shimcall__
-PVOID   OsMemSet    (PVOID pBuf, UINT8 c, UINT32 Count);
+PVOID   OsMemSet    (PVOID pBuf, CXT_UINT8 c, CXT_UINT32 Count);
 __shimcall__
-PVOID	OsMemCpy    (PVOID pDest, PVOID pSrc, UINT32 Count);
+PVOID	OsMemCpy    (PVOID pDest, PVOID pSrc, CXT_UINT32 Count);
 __shimcall__
-PVOID	OsMemMove   (PVOID pDest, PVOID pSrc, UINT32 Count);
+PVOID	OsMemMove   (PVOID pDest, PVOID pSrc, CXT_UINT32 Count);
 __shimcall__
-int		OsMemCmp    (PVOID pBuff1, PVOID pBuff2, UINT32 Count);
+int		OsMemCmp    (PVOID pBuff1, PVOID pBuff2, CXT_UINT32 Count);
 __shimcall__
 
 __shimcall__
@@ -399,7 +399,7 @@
 __shimcall__
 int     OsStrCmp    (LPCSTR szStr1, LPCSTR szStr2);
 __shimcall__
-int     OsStrnCmp   (LPCSTR szStr1, LPCSTR szStr2, UINT32 Count);
+int     OsStrnCmp   (LPCSTR szStr1, LPCSTR szStr2, CXT_UINT32 Count);
 __shimcall__
 int	    OsStrLen    (LPCSTR szStr);
 #endif
@@ -446,7 +446,7 @@
 Interrupt safe: yes
 **********************************************************************************/
 __shimcall__
-UINT32	OsGetSystemTime(void);
+CXT_UINT32	OsGetSystemTime(void);
 
 
 /**********************************************************************************
@@ -457,7 +457,7 @@
 Interrupt safe: no
 **********************************************************************************/
 __shimcall__
-void	OsSleep (UINT32 sleepTime);
+void	OsSleep (CXT_UINT32 sleepTime);
 
 
 /**********************************************************************************
@@ -494,9 +494,9 @@
 **********************************************************************************/
 #if (OS_TYPE != OS_LINUX)
 void	OsCallOnMyStack	(	IN	PCBFUNC	pFunc, 
-							IN	UINT32	lParam, 
+							IN	CXT_UINT32	lParam, 
 							IN	PUINT32	pTopOfStack, 
-							IN	UINT32	StackSizeBytes);
+							IN	CXT_UINT32	StackSizeBytes);
 #else
 #define OsCallOnMyStack(pFunc, lParam, pTopOfStack, StackSizeBytes) (pFunc)((PVOID)(lParam))
 #endif
@@ -530,7 +530,7 @@
 Interrupt safe: no
 **********************************************************************************/
 __shimcall__
-HOSTIMER	OsCreatePeriodicTimer	(	IN	UINT32			InitialTimeOut,
+HOSTIMER	OsCreatePeriodicTimer	(	IN	CXT_UINT32			InitialTimeOut,
 										IN	PCBFUNC			pTimeOutCallBack,
 										IN	PALLOC_FUNC		pFuncAlloc,
 										IN	PFREE_FUNC		pFuncFree,
@@ -560,8 +560,8 @@
 Interrupt safe: no
 **********************************************************************************/
 __shimcall__
-BOOL	OsSetPeriodicTimer	(	IN	HOSTIMER	hTimeOut,
-								IN	UINT32		NewTimeOut);
+CXT_BOOL	OsSetPeriodicTimer	(	IN	HOSTIMER	hTimeOut,
+								IN	CXT_UINT32		NewTimeOut);
 
 
 /**********************************************************************************
@@ -587,7 +587,7 @@
 
 
 __shimcall__
-void    OsRawVPrintf       (LPCSTR szFormat, PVOID args, BOOL addnl);
+void    OsRawVPrintf       (LPCSTR szFormat, PVOID args, CXT_BOOL addnl);
 
 __shimcall__
 void    OsRawNLPrintf       (LPCSTR szFormat, ...)
@@ -626,11 +626,11 @@
 __shimcall__
 void    OsDebugBreakpoint   (LPCSTR szMsg );
 
-/*void    OsDebugDumpData(PUINT8 data, UINT32 len);*/
+/*void    OsDebugDumpData(PCXT_UINT8 data, CXT_UINT32 len);*/
 
 
-#define OsSwapUINT16(x) ((((x) & 0xFF00) >> 8) | (((x) & 0x00FF) << 8))
-#define OsSwapUINT32(x) ((OsSwapUINT16(x) << 16) | (OsSwapUINT16((x) >> 16)))
+#define OsSwapCXT_UINT16(x) ((((x) & 0xFF00) >> 8) | (((x) & 0x00FF) << 8))
+#define OsSwapUINT32(x) ((OsSwapCXT_UINT16(x) << 16) | (OsSwapCXT_UINT16((x) >> 16)))
 
 //Event handling functions
 typedef struct tagHOSEVENT
@@ -653,7 +653,7 @@
 __shimcall__ long OsEventClear(HOSEVENT hEvent);
 __shimcall__ long OsEventState(HOSEVENT hEvent);
 __shimcall__ void OsEventWait(HOSEVENT hEvent);
-__shimcall__ OSEVENT_WAIT_RESULT OsEventWaitTime(HOSEVENT hEvent, UINT32 timeout);
+__shimcall__ OSEVENT_WAIT_RESULT OsEventWaitTime(HOSEVENT hEvent, CXT_UINT32 timeout);
 
 __shimcall__
 void    OsErrorPrintf       ( LPCSTR szFormat, ...);
@@ -675,18 +675,18 @@
 functionality :	Restores the FPU after float operations.
 **********************************************************************************/
 __shimcall__
-GLOBAL	BOOL  OsFloatSuffix(int Id);
+GLOBAL	CXT_BOOL  OsFloatSuffix(int Id);
 
 
 
 __shimcall__
-HANDLE OsCreateTimer(UINT32 msec, PVOID pCBFunc, PVOID pRefData);
+HANDLE OsCreateTimer(CXT_UINT32 msec, PVOID pCBFunc, PVOID pRefData);
 __shimcall__
 void OsSetTimer(PVOID pTimer);
 __shimcall__
 void OsCancelTimer(PVOID Timer);
 __shimcall__
-void OsChangeTimerTimeOut(PVOID Timer, UINT32 msec);
+void OsChangeTimerTimeOut(PVOID Timer, CXT_UINT32 msec);
 __shimcall__
 void OsDestroyTimer(PVOID pTimer);
 
@@ -696,12 +696,12 @@
 #define GlobalProcessorFreq OsGetProcessorFreq()
 
 __shimcall__
-UINT32 OsReadCpuCnt(void);
+CXT_UINT32 OsReadCpuCnt(void);
 
 typedef struct _OSTHRD OSTHRD, *POSTHRD;
 
 __shimcall__
-POSTHRD OsThreadCreate(const char *name, BOOLEAN highestprio, int *pid);
+POSTHRD OsThreadCreate(const char *name, CXT_BOOLEAN highestprio, int *pid);
 
 __shimcall__
 void OsThreadDestroy(POSTHRD osthrd);
@@ -727,7 +727,7 @@
 OsForkWait(char *program_path, char *argv[], char *envp[]);
 
 __shimcall__
-BOOL
+CXT_BOOL
 OsKernelUsesRegParm(void);
 
 extern POSTHRD OsMdmThread;
diff -U3 -r hsfmodem-old/modules/imported/include/ostime_ex.h hsfmodem/modules/imported/include/ostime_ex.h
--- hsfmodem-old/modules/imported/include/ostime_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/ostime_ex.h	2006-02-12 08:09:26.000000000 +0000
@@ -129,7 +129,7 @@
 functionality :	Creates a periodic timeout of InitialTimeOut interval. pTimeOutCallBack
 				function will be called on each timer interval. 
 **********************************************************************************/
-HANDLE	OsCreatePeriodicTimer	(	IN	UINT32			InitialTimeOut,
+HANDLE	OsCreatePeriodicTimer	(	IN	CXT_UINT32			InitialTimeOut,
 										IN	PCBFUNC			pTimeOutCallBack,
 										IN	PALLOC_FUNC		pFuncAlloc,
 										IN	PFREE_FUNC		pFuncFree,
@@ -153,8 +153,8 @@
 				NewTimeOut
 functionality : resets the timeout inteval to a new value.
 **********************************************************************************/
-GLOBAL	BOOL	OSSetPeriodicTimer	(	IN	HANDLE			hTimeOut,
-											IN	UINT32			NewTimeOut);
+GLOBAL	CXT_BOOL	OSSetPeriodicTimer	(	IN	HANDLE			hTimeOut,
+											IN	CXT_UINT32			NewTimeOut);
 
 
 #if (OS_TYPE != OS_LINUX)
@@ -168,9 +168,9 @@
 functionality :	Temporarily switches a stack to a different locked block of memory.
 **********************************************************************************/
 GLOBAL	VOID	OSCallOnMyStack(			IN	PCBFUNC			pFunc, 
-											IN	UINT32			lParam, 
+											IN	CXT_UINT32			lParam, 
 											IN	PUINT32			pTopOfStack, 
-											IN	UINT32			StackSizeBytes);
+											IN	CXT_UINT32			StackSizeBytes);
 #else
 #define OsCallOnMyStack(pFunc, lParam, pTopOfStack, StackSizeBytes) (pFunc)((PVOID)(lParam))
 #endif
@@ -182,7 +182,7 @@
 functionality	The function returnes a milliseconds timestamp.
 **********************************************************************************/
 /* returns time stamp in milli-seconds					*/
-GLOBAL	UINT32	OSGetSystemTime(			VOID	);
+GLOBAL	CXT_UINT32	OSGetSystemTime(			VOID	);
 
 /* initialize epoch to reduce wrap around risk; all values returned by
  * OSGetSystemTime() will be relative to the time OSInitTime() was called */
@@ -296,7 +296,7 @@
 				should be a matching call to OSRestoreTimeSensitivity with same Interval 
 				value
 **********************************************************************************/
-GLOBAL	VOID	OSSetTimeSensitivity(	IN	UINT32				Interval);				
+GLOBAL	VOID	OSSetTimeSensitivity(	IN	CXT_UINT32				Interval);				
 
 /**********************************************************************************
 Function name :	OSRestoreTimeSensitivity
@@ -305,7 +305,7 @@
 functionality :	Restores the timer interrupt to the value before OSSetTimeSensitivity
 				was called
 **********************************************************************************/
-GLOBAL	VOID	OSRestoreTimeSensitivity(		IN	UINT32				Interval);				
+GLOBAL	VOID	OSRestoreTimeSensitivity(		IN	CXT_UINT32				Interval);				
 
 /**********************************************************************************
 Function name :	OSDisableInterrupt
@@ -339,13 +339,13 @@
 Return value :	None
 functionality :	Restores the FPU after float operations.
 **********************************************************************************/
-GLOBAL	BOOL  OsFloatSuffix(int Id);
+GLOBAL	CXT_BOOL  OsFloatSuffix(int Id);
 
 #if OS_ONE_OF( OS_LINUX | OS_VXWORKS | OS_MACOSX | OS_STB )
-HANDLE OSCreateTimer(UINT32 msec, PVOID pCBFunc, PVOID pRefData);
+HANDLE OSCreateTimer(CXT_UINT32 msec, PVOID pCBFunc, PVOID pRefData);
 void OSSetTimer(PVOID pTimer);
 void OSCancelTimer(PVOID Timer);
-void OSChangeTimerTimeOut(PVOID Timer, UINT32 msec);
+void OSChangeTimerTimeOut(PVOID Timer, CXT_UINT32 msec);
 void OSDestroyTimer(PVOID pTimer);
 
 #endif
@@ -359,10 +359,10 @@
 #define OsLockUnlock OSSemaphoreSignal
 #define OsGetSystemTime OSGetSystemTime
 #else
-UINT32	OsGetSystemTime(VOID);
+CXT_UINT32	OsGetSystemTime(VOID);
 #define OSGetSystemTime OsGetSystemTime
-BOOL    OsHookInterrupt     ( HANDLE hDevice, VOID (*InterruptHandler)(VOID*), VOID* pRef);
-BOOL    OsUnhookInterrupt   ( HANDLE hDevice);
+CXT_BOOL    OsHookInterrupt     ( HANDLE hDevice, VOID (*InterruptHandler)(VOID*), VOID* pRef);
+CXT_BOOL    OsUnhookInterrupt   ( HANDLE hDevice);
 #endif
 
 GLOBAL  VOID    OSImmediateTimeOut      (	IN	HANDLE			hTimeOut);
@@ -398,9 +398,9 @@
 /* Utilities                                                        */
 /********************************************************************/
 
-BOOL OsAtomicCompareAndSwap (PVOID oldValue, PVOID newValue, PVOID* address);
-INT32	OsAtomicAdd   (INT32 amount, INT32* address);
-void OsSleep(UINT32 SleepTime);
+CXT_BOOL OsAtomicCompareAndSwap (PVOID oldValue, PVOID newValue, PVOID* address);
+CXT_INT32	OsAtomicAdd   (CXT_INT32 amount, CXT_INT32* address);
+void OsSleep(CXT_UINT32 SleepTime);
 
 #if (OS_TYPE == OS_WIN_9X)
 #define __FUNCTION__
@@ -422,7 +422,7 @@
 				int     arg8,
 				int     arg9,
 				int     arg10);
-BOOL OsTaskDelete(int TaskId);
+CXT_BOOL OsTaskDelete(int TaskId);
 #endif
 
 #if (OS_TYPE == OS_LINUX)
diff -U3 -r hsfmodem-old/modules/imported/include/rtmgr_ex.h hsfmodem/modules/imported/include/rtmgr_ex.h
--- hsfmodem-old/modules/imported/include/rtmgr_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/rtmgr_ex.h	2006-02-12 08:08:46.000000000 +0000
@@ -101,10 +101,10 @@
 
 /*********************** Run time Manager Exported types :********************/
 
-#define	RT_MGR_MAJOR_VERSION	((UINT32)0)
-#define	RT_MGR_MINOR_VERSION	((UINT32)2)
+#define	RT_MGR_MAJOR_VERSION	((CXT_UINT32)0)
+#define	RT_MGR_MINOR_VERSION	((CXT_UINT32)2)
 
-#define RT_MGR_VERSION ((UINT32)(((RT_MGR_MAJOR_VERSION) << 16) | (RT_MGR_MINOR_VERSION)))
+#define RT_MGR_VERSION ((CXT_UINT32)(((RT_MGR_MAJOR_VERSION) << 16) | (RT_MGR_MINOR_VERSION)))
 
 
 typedef enum ASYNC_CALL_TYPE_ENUM
@@ -118,7 +118,7 @@
 	ASYNC_CALL_TYPE		Type;
 	unsigned			TimeOut;
 	PUINT32				pStack;				
-	UINT32				StackSize;		
+	CXT_UINT32				StackSize;		
 	PCBFUNC     		pFuncAsyncCall;
 	PVOID				pParam;
 }ASYNC_CALL_CONFIG, *PASYNC_CALL_CONFIG;
@@ -150,7 +150,7 @@
 
 /* Direct API */
 
-GLOBAL	UINT32 RTMgrGetInterfaceVersion(void);
+GLOBAL	CXT_UINT32 RTMgrGetInterfaceVersion(void);
 
 
 /********************************************************************************
@@ -375,7 +375,7 @@
 Return Value: TRUE if execution context is in timer thread, otherwise - FALSE
 
 ********************************************************************************/
-BOOL RTMgrCalledFromTimer	(IN	HRTMGR	hRtMgr);
+CXT_BOOL RTMgrCalledFromTimer	(IN	HRTMGR	hRtMgr);
 #endif
 
 
@@ -386,7 +386,7 @@
 typedef struct I_RT_MGR_TAG
 {
 	
-	UINT32		(*GetInterfaceVersion)  (	void);
+	CXT_UINT32		(*GetInterfaceVersion)  (	void);
 	HRTMGR		(*Create)               (PSYSTEM_INSTANCES_T pSys);
 	COM_STATUS	(*Destroy)              (IN HRTMGR hBlock);
 	COM_STATUS	(*Open)                 (IN	HRTMGR hBlock);
diff -U3 -r hsfmodem-old/modules/imported/include/std_defines.h hsfmodem/modules/imported/include/std_defines.h
--- hsfmodem-old/modules/imported/include/std_defines.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/std_defines.h	2006-02-11 22:19:26.000000000 +0000
@@ -119,8 +119,8 @@
 #define INT16_MAX     32767
 #endif
 
-#ifndef UINT16_MAX
-#define UINT16_MAX    0xffff
+#ifndef CXT_UINT16_MAX
+#define CXT_UINT16_MAX    0xffff
 #endif
 
 #ifndef INT32_MIN
diff -U3 -r hsfmodem-old/modules/imported/include/sysenv.h hsfmodem/modules/imported/include/sysenv.h
--- hsfmodem-old/modules/imported/include/sysenv.h	2006-02-11 22:17:06.000000000 +0000
+++ hsfmodem/modules/imported/include/sysenv.h	2006-02-12 08:15:22.000000000 +0000
@@ -200,9 +200,9 @@
     KIRQL           Irql;
     KIRQL           SynchronizeIrql;
     KINTERRUPT_MODE InterruptMode;
-    BOOLEAN         ShareVector;
+    CXT_BOOLEAN         ShareVector;
     KAFFINITY       ProcessorEnableMask;
-    BOOLEAN         FloatingSave;
+    CXT_BOOLEAN         FloatingSave;
 	PDEVICE_OBJECT	pDevObj;
 	struct _IRP *   Irp;
 }WDM_RESOURCES_T;
@@ -261,12 +261,12 @@
  
 typedef unsigned long			DWORD,  *PDWORD;
 typedef void					VOID  , *PVOID, **PPVOID;
-typedef unsigned short			UINT16, *PUINT16;
-typedef unsigned long			UINT32, *PUINT32;
-typedef long					INT32;
+typedef unsigned short			CXT_UINT16, *PCXT_UINT16;
+typedef unsigned long			CXT_UINT32, *PUINT32;
+typedef long					CXT_INT32;
 typedef char*					HANDLE;
 typedef unsigned char			BYTE,   *PBYTE;
-typedef int						BOOL;
+typedef int						CXT_BOOL;
 typedef char					HAR,   *PCHAR, **PPCHAR;
 typedef unsigned short			WORD,   *PWORD;
 typedef unsigned int volatile   VOL32, *PVOL32;
@@ -429,21 +429,21 @@
 #define TRUE    1
 #define FALSE   0
 #if (PROJECT  !=  PRJ_AMD64_WIN_R3 )
-typedef int BOOL;
+typedef int CXT_BOOL;
 #endif
 typedef int *PBOOL;        /* On NT or WDM we allways need the typedef of PBOOL */
 
 #elif ( OS_ONE_OF(OS_WIN_NT4 | OS_WIN_WDM) )
 
-typedef int BOOL;        /* On NT or WDM we allways need the typedef of BOOL */
+typedef int CXT_BOOL;        /* On NT or WDM we allways need the typedef of CXT_BOOL */
 typedef int *PBOOL;        /* On NT or WDM we allways need the typedef of PBOOL */
 
 #endif
 
 #if ( OS_TYPE == OS_LINUX ) || ((PROJECT != PRJ_HSF) && (PROJECT != PRJ_AMD64_WIN_R3))
 /* This definition was added for the Nile. It seems to be very problematic, since DDK  & VisualC define
-   BOOLEAN as unsigned char and BOOL as int, so they can't match each other. Must check it again!!!! */
-#define BOOLEAN BOOL
+   CXT_BOOLEAN as unsigned char and CXT_BOOL as int, so they can't match each other. Must check it again!!!! */
+#define CXT_BOOLEAN CXT_BOOL
 #endif
 
 
@@ -649,9 +649,9 @@
 /* New typedefs that should be used: */
 
 #if (OS_TYPE != OS_VXWORKS) || (OS_DEPENDENT == 0)
-typedef unsigned short      UINT16;
+typedef unsigned short      CXT_UINT16;
  
-typedef unsigned char       UINT8;
+typedef unsigned char       CXT_UINT8;
  
 typedef signed short       	INT16;
  
@@ -660,8 +660,8 @@
 #endif
 #endif
 
-typedef unsigned short     *PUINT16;
-typedef unsigned char      *PUINT8;
+typedef unsigned short     *PCXT_UINT16;
+typedef unsigned char      *PCXT_UINT8;
 
 typedef signed short       *PINT16;
  
@@ -671,24 +671,24 @@
 
 #if (OS_TYPE == OS_LINUX)
 
-typedef unsigned int       UINT32;
+typedef unsigned int       CXT_UINT32;
  
 typedef unsigned int           *PUINT32;
 typedef volatile unsigned int *PVUINT32;
 
-typedef int        INT32;
+typedef int        CXT_INT32;
  
 typedef int        *PINT32;
 
 typedef char * STRING;
 
 #elif ( (OS_DEPENDENT == 0) ||  ((OS_TYPE == OS_WIN_9X) && (UK_MODE == UK_KERNEL) ) || (OS_TYPE == OS_DOS)  ) 
-typedef unsigned long       UINT32;
+typedef unsigned long       CXT_UINT32;
  
 typedef unsigned long           *PUINT32;
 typedef volatile unsigned long *PVUINT32;
 
-typedef long        INT32;
+typedef long        CXT_INT32;
  
 typedef long        *PINT32;
 
@@ -697,10 +697,10 @@
 #endif
 
 #if   ((OS_TYPE == OS_WIN_NT4) && (UK_MODE == UK_KERNEL) )
-typedef unsigned long       UINT32;
+typedef unsigned long       CXT_UINT32;
 typedef unsigned long       *PUINT32;
 
-typedef long        INT32;
+typedef long        CXT_INT32;
 typedef long        *PINT32;
 
 #endif
@@ -714,7 +714,7 @@
 #endif /** OS_VXWORKS **/
 
 
-#define INT64               __int64
+#define CXT_INT64               __int64
 
 
 typedef enum OBJECT_INIT_STATE_TAG
@@ -771,7 +771,7 @@
 #define ASSERT(assert)						\
 do {										\
 	if (!(assert)) {						\
-	    UINT32 dwTime = OsGetSystemTime();	\
+	    CXT_UINT32 dwTime = OsGetSystemTime();	\
 		OsDebugPrintf (						\
 			"%07lu.%03lu: Assertion failure in %s() at %s:%d: \"%s\"\n",	\
 			 dwTime/1000, dwTime%1000, __FUNCTION__, __FILE__, __LINE__, # assert);	\
diff -U3 -r hsfmodem-old/modules/imported/include/targetconfigtypes.h hsfmodem/modules/imported/include/targetconfigtypes.h
--- hsfmodem-old/modules/imported/include/targetconfigtypes.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/targetconfigtypes.h	2006-02-12 08:08:35.000000000 +0000
@@ -91,24 +91,24 @@
 #include "tonetype.h"
 
 #if OS_TYPE == OS_LINUX
-#define DAA_RELAY_TYPE  UINT32 /* for consistency with HCF */
+#define DAA_RELAY_TYPE  CXT_UINT32 /* for consistency with HCF */
 #else
-#define DAA_RELAY_TYPE  UINT16
+#define DAA_RELAY_TYPE  CXT_UINT16
 #endif
 #define QC_PROFILE_MAX_SIZE 3500
 #pragma pack(1)
 
 typedef struct QCProfileStructTag
 {
-	UINT8	ProfileValid;
-	UINT8	Data [QC_PROFILE_MAX_SIZE];
+	CXT_UINT8	ProfileValid;
+	CXT_UINT8	Data [QC_PROFILE_MAX_SIZE];
 } QCProfileStruct;
  
 
 /* Structure passed with CFGMGR_DTMF_GENERATOR */
 typedef struct tagDTMFGenParams {
-	UINT16  m_wDigitDuration;		/* in ms */
-	UINT16  m_wPauseDuration;		/* in ms */
+	CXT_UINT16  m_wDigitDuration;		/* in ms */
+	CXT_UINT16  m_wPauseDuration;		/* in ms */
 	INT16	m_nHighBandAmplitude;	/* normed to 32768 */
 	INT16	m_nLowBandAmplitude;	/* normed to 32768 */
 } DTMF_GEN_PARAMS, *PDTMF_GEN_PARAMS;
@@ -118,11 +118,11 @@
 typedef struct 
 {
 
-	UINT16  Segment1freq1;	/* Hz */
-	UINT16  Segment1freq2;	/* Hz */
-	UINT16  Segment2freq;	/* Hz */
-	UINT32	Segment1Duration;  /* millisec */
-	UINT32	Segment2Duration;  /* millisec */
+	CXT_UINT16  Segment1freq1;	/* Hz */
+	CXT_UINT16  Segment1freq2;	/* Hz */
+	CXT_UINT16  Segment2freq;	/* Hz */
+	CXT_UINT32	Segment1Duration;  /* millisec */
+	CXT_UINT32	Segment2Duration;  /* millisec */
 } CR_TONE_PARAMS, *PCR_TONE_PARAMS;
  
 typedef struct CNTRY_TONEPARAMS_TAG 
@@ -162,11 +162,11 @@
 /* Dual/Single Tone generator struct */
 typedef struct
 {
-	UINT16 freq1; /* Hz */
-	UINT16 freq2;
-	UINT32 OnTime;
-	UINT32 OffTime;
-    BOOL  bRepeatedTone;
+	CXT_UINT16 freq1; /* Hz */
+	CXT_UINT16 freq2;
+	CXT_UINT32 OnTime;
+	CXT_UINT32 OffTime;
+    CXT_BOOL  bRepeatedTone;
 } TONEGEN_PARAMS, *PTONEGEN_PARAMS;
  
 typedef struct CONSTTONEGENPARAMS_TAG
@@ -178,16 +178,16 @@
 } CONSTTONEGENPARAMS_T, *PCONSTTONEGENPARAMS_T;
 
 typedef struct PACKED_ATTRIB tagThreshold {
-	UINT16		DialThresh;
-	UINT16		AltDialThresh;
-	UINT16		WDialThresh;
-	UINT16		AltWDialThresh;
-	UINT16		ProgThresh;
-	UINT16		AltProgThresh;
-	UINT16		DTMFRxThresh;
-	UINT16		RingThreshold;			/* Add soft ring threshold set to 0 if not use */
+	CXT_UINT16		DialThresh;
+	CXT_UINT16		AltDialThresh;
+	CXT_UINT16		WDialThresh;
+	CXT_UINT16		AltWDialThresh;
+	CXT_UINT16		ProgThresh;
+	CXT_UINT16		AltProgThresh;
+	CXT_UINT16		DTMFRxThresh;
+	CXT_UINT16		RingThreshold;			/* Add soft ring threshold set to 0 if not use */
 	INT16		RingBalance;			/* Add soft ring threshold compensation slope, set to 0 if not use*/
-	UINT16      CIDThresh;
+	CXT_UINT16      CIDThresh;
 } CntryThresholdStructure;
 
 #define DEFAULT_DC_LOOP_POINTS	5
